set_color(3)

NAME
set_color - Sets the specified palette entry to the specified RGB triplet. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_color(int index, const RGB *p);

DESCRIPTION
Sets the specified palette entry to the specified RGB triplet. Unlike the other palette functions this doesn't do any retrace synchronisation, so you should call vsync() before it to prevent snow problems. Example:
   RGB rgb;
   ...
   vsync();
   set_color(192, &rgb);

SEE ALSO
set_palette(3), get_color(3), _set_color(3), ex12bit(3), exrgbhsv(3), exscroll(3)